# Class CIM_AuthenticationRule
extends CIM_PolicyRule

A class representing a company's and/or administrator's authentication requirements for a CIM_Identity. The PolicyConditions collected by an instance of AuthenticationRule describe the various requirements under which a CIM_Identity's CurrentlyAuthenticated Boolean is set to TRUE. Note that the CIM_Identities which are authenticated are tied to the Rule by the association, PolicySet AppliesToElement. At this time, there are no actions associated with this PolicyRule. This is because the actions are implicit. When the conditions of the rule are met, then the CurrentlyAuthenticated Boolean properties of the associated instances of CIM_Identity are set to TRUE.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicySet
|
+--CIM_PolicyRule
|
+--CIM_AuthenticationRule

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A class representing a company's and/or administrator's authentication requirements for a CIM_Identity. The PolicyConditions collected by an instance of AuthenticationRule describe the various requirements under which a CIM_Identity's CurrentlyAuthenticated Boolean is set to TRUE. Note that the CIM_Identities which are authenticated are tied to the Rule by the association, PolicySet AppliesToElement. At this time, there are no actions associated with this PolicyRule. This is because the actions are implicit. When the conditions of the rule are met, then the CurrentlyAuthenticated Boolean properties of the associated instances of CIM_Identity are set to TRUE.

UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
ConditionListType | uint16 | CIM_PolicyRule
CreationClassName | string | CIM_PolicyRule
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Enabled | uint16 | CIM_PolicySet
ExecutionStrategy | uint16 | CIM_PolicyRule
InstanceID | string | CIM_ManagedElement
Mandatory | boolean | CIM_PolicyRule
PolicyDecisionStrategy | uint16 | CIM_PolicySet
PolicyRuleName | string | CIM_PolicyRule
Priority | uint16 | CIM_PolicyRule
RuleUsage | string | CIM_PolicyRule
SequencedActions | uint16 | CIM_PolicyRule
SystemCreationClassName | string | CIM_PolicyRule
SystemName | string | CIM_PolicyRule
PolicyKeywords | string[] | CIM_Policy
PolicyRoles | string[] | CIM_PolicySet

## Class Methods